Skip to main content
POST
/
v1
/
events
/
{eventId}
/
replay
Replay an event to a target (records a delivery attempt)
curl --request POST \
  --url https://api.webhook.co/v1/events/{eventId}/replay \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": {
    "kind": "<string>",
    "sessionId": "<string>"
  },
  "idempotencyKey": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target": "<string>",
  "idempotencyKey": "<string>",
  "statusCode": 0,
  "attempt": 123,
  "error": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

A whk_-prefixed API key (opaque; not a JWT).

Path Parameters

eventId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
target
object
required
idempotencyKey
string
required
Minimum string length: 1

Response

Success.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orgId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
eventId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
target
string
required
idempotencyKey
string | null
required
status
enum<string>
required
Available options:
queued,
forwarded,
pending,
delivered,
failed,
blocked,
dead,
cancelled
statusCode
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
attempt
integer
required
Required range: x <= 9007199254740991
error
string | null
required
createdAt
string<date-time>
required